import { RouteConfig } from 'vue-router';

const routes: RouteConfig[] = [
  {
    path: '/',
    redirect: 'login',
    component: () => import('layouts/OutLayout.vue'),
    children: [
      {
        name: 'login',
        path: 'login',
        component: () => import('pages/Login.vue')
      },
      {
        name: 'about_out',
        path: 'about',
        component: () => import('pages/about/About.vue')
      }
    ]
  },
  {
    path: '/main',
    redirect: 'dashboard',
    component: () => import('layouts/MainLayout.vue'),
    meta: { permissions: ['user'] },
    children: [
      {
        name: 'dashboard',
        path: 'dashboard',
        meta: { permissions: ['user'] },
        component: () => import('pages/Dashboard.vue')
      },
      {
        name: 'about',
        path: 'about',
        meta: { permissions: ['user'] },
        component: () => import('pages/about/About.vue')
      }
    ]
  },
  {
    path: '/error',
    name: 'error',
    component: () => import('pages/PluginError.vue')
  },
  // Always leave this as last one,
  // but you can also remove it
  {
    path: '*',
    redirect: 'login',
    component: () => import('pages/Error404.vue')
  }
];

export default routes;
